Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.stmt.oracle
Class TExecImmeNode

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.stmt.oracle.TExecImmeNode

All Implemented Interfaces:
  Visitable

    public class TExecImmeNode

extends TParseTreeNode

Internal used by parser.

Constructor Summary
`TExecImmeNode()`

Method Summary
`TBindArgumentList` | `getBindArguments()`
`TExpression` | `getDynamicStringExpr()`
`TExpressionList` | `getIntoVariables()`
`TObjectNameList` | `getReturnNames()` Used if and only if dynamic_sql_stmt has a RETURNING INTO clause, this clause returns the column values of the rows affected by dynamic_sql_stmt, in either individual variables or records
`void` | `init(java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TExecImmeNode

    public TExecImmeNode()

Method Detail

### getBindArguments

    public TBindArgumentList getBindArguments()

  Returns:
    bind arguments in using clause.

### getDynamicStringExpr

    public TExpression getDynamicStringExpr()

  Returns:
    A string literal, string variable, or string expression that represents any SQL statement.

### getIntoVariables

    public TExpressionList getIntoVariables()

  Returns:
    variable names in the into clause.

### getReturnNames

    public TObjectNameList getReturnNames()

  Used if and only if dynamic_sql_stmt has a RETURNING INTO clause, this clause returns the column values of the rows affected by dynamic_sql_stmt, in either individual variables or records

  Returns:

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Object arg3,
                     java.lang.Object arg4)

  Overrides:
    `init` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD